Banka bağlantısı detayını getir
curl --request GET \
--url https://api.tahsil.dev/banks/accounts/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tahsil.dev/banks/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tahsil.dev/banks/accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"result": {
"id": "<string>",
"companies": "<string>",
"status": true,
"bankCode": "akbank",
"subAccounts": [
{
"subAccountKey": "<string>",
"bankCode": "<string>",
"currency": "TRY",
"balance": 123,
"id": "<string>",
"providerAccountId": "<string>",
"customerNo": "<string>",
"accountNo": "<string>",
"iban": "<string>",
"accountType": "<string>",
"accountName": "<string>",
"branchId": "<unknown>",
"branchName": "<string>",
"blockedBalance": 123,
"availableBalance": 123,
"openingDate": "2023-11-07T05:31:56Z",
"lastTransactionDate": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"title": "Ana Akbank Bağlantısı",
"lastProviderSetupAt": "2023-11-07T05:31:56Z",
"lastProviderSyncAt": "2023-11-07T05:31:56Z",
"syncHealth": {
"lastAttemptAt": "2023-11-07T05:31:56Z",
"lastSuccessAt": "2023-11-07T05:31:56Z",
"lastErrorAt": "2023-11-07T05:31:56Z",
"lastErrorCode": "<string>",
"lastErrorMessage": "<string>",
"lastDurationMs": 1,
"lastResult": {
"fetched": 1,
"inserted": 1,
"duplicates": 1
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": false,
"code": "TRANSACTION_AMOUNT_RANGE_INVALID",
"message": "minAmount, maxAmount değerinden büyük olamaz."
}Banka bağlantısı detayını getir
Firma header’ı verilmezse okuma kapsamı kullanıcının yetkili olduğu tüm firmaları içerir.
GET
/
banks
/
accounts
/
{id}
Banka bağlantısı detayını getir
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Başlıklar
Hedef firma kimliği. Müşteri banka endpointlerindeki yazma işlemleri için zorunludur.
Okuma kapsamını daraltan opsiyonel, virgülle ayrılmış firma kimlikleri. Gönderilmezse yetkili tüm firmalar kullanılır.
Yol Parametreleri
Bu sayfa yararlı mıydı?
⌘I